### Struct

# Mtk Rectangle

#### Description

    struct MtkRectangle {
      int x;
      int y;
      int width;
      int height;
    }

No description available.

###### Structure members

`x:` `int`

  X coordinate of the top-left corner.

`y:` `int`

  Y coordinate of the top-left corner.

`width:` `int`

  Width of the rectangle.

`height:` `int`

  Height of the rectangle.

#### Constructors

###### mtk_rectangle_new

Creates a new rectangle.

###### mtk_rectangle_new_empty

No description available.

#### Functions

###### mtk_rectangle_from_graphene_rect

No description available.

#### Instance methods

###### mtk_rectangle_area

No description available.

###### mtk_rectangle_contains_point

No description available.

###### mtk_rectangle_contains_pointf

No description available.

###### mtk_rectangle_contains_rect

No description available.

###### mtk_rectangle_copy

No description available.

###### mtk_rectangle_could_fit_rect

No description available.

###### mtk_rectangle_crop_and_scale

No description available.

###### mtk_rectangle_equal

Compares the two rectangles.

###### mtk_rectangle_free

No description available.

###### mtk_rectangle_horiz_overlap

Similar to `mtk_rectangle_overlap()` but ignores the vertical location.

###### mtk_rectangle_intersect

Find the intersection between the two rectangles.

###### mtk_rectangle_is_adjacent_to

No description available.

###### mtk_rectangle_overlap

Similar to `mtk_rectangle_intersect()` but doesn’t provide the location of the intersection.

###### mtk_rectangle_scale_double

No description available.

###### mtk_rectangle_to_graphene_rect

No description available.

###### mtk_rectangle_transform

This function transforms the values in `rect` in order to compensate for `transform` applied to a `MetaMonitor`, making them match the viewport. Note that compensating implies that for a clockwise rotation of the `MetaMonitor` an anti-clockwise rotation has to be applied to `rect`.

###### mtk_rectangle_union

Computes the union of the two rectangles.

###### mtk_rectangle_vert_overlap

Similar to `mtk_rectangle_overlap()` but ignores the horizontal location.